Subject: Re: du does not find all directories
From: [email-masked] (Jim Balter)

7 Feb 1997 22:27:53 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.01Gold (WinNT; I)
Original-To: Sergey Okhapkin <[email-masked]>
Original-CC: "[email-masked]'" <[email-masked]>
Original-Sender: [email-masked]

Sergey Okhapkin wrote:

> >      And it still doesn't get all the bytes and directories, but it
> > looks like 2K is the magic number, -k or not.
> 
> It seems to me, 2K is your cluster size. Am I right?

No.  du and ls always report the number of 1K blocks / 2,
because they expect st_blocks in the stat structure to contain the
number of 512-byte blocks.  I've already explained this elsewhere.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".